#!/bin/sh

events_interface='ru.astralinux.events'
signal='show_notify'


dbus-monitor --system "interface=$events_interface, member=$signal" |
while read -r line; do
    if [[ $line == *"member=$signal"* ]]; then
        notify-send -u critical -a "Astra Mobile integrity checker" \
        "Files changed. Please contact your administrator." &
    fi
done
